const withMDX = require('@next/mdx')()

/** @type {import('next').NextConfig} */
const nextConfig = {
    experimental: {
        pageExtensions: ['js', 'jsx', 'mdx', 'ts', 'tsx'],
        serverComponentsExternalPackages: ['sequelize', 'sequelize-typescript', 'bcrypt', '@sequelize/core', '@/app/lib/api/error'],
        serverActions: {

        },
    },
    webpack: (config) => {
        config.externals = [...config.externals, 'bcrypt'];
        return config;
    },
}


module.exports = withMDX(nextConfig)
